Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1166977 - QGIS and QGIS browser icons are broken
Summary: QGIS and QGIS browser icons are broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qgis
Version: 24
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-22 09:36 UTC by Daniele Viganò
Modified: 2016-03-26 18:13 UTC (History)
6 users (show)

Fixed In Version: qgis-2.14.0-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-26 18:13:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniele Viganò 2014-11-22 09:36:32 UTC
Description of problem:
In Fedora 21, with qgis-2.6.0-2.fc21 the QGIS Desktop and QGIS Browser are missing.

In /usr/share/applications/[qgis,qbrowser].desktop the icon is set as:

Icon=qgis

But the icons, located in /usr/share/icons are called 'qgis-icon':
[root@gemlatitude5450 icons]# find /usr/share/icons -name "qgis*"

/usr/share/icons/hicolor/16x16/apps/qgis-icon.png
/usr/share/icons/hicolor/scalable/apps/qgis-icon.svg


Version-Release number of selected component (if applicable):
qgis-2.6.0-2.fc21


How reproducible:
Install QGIS:


Steps to Reproduce:
1. yum install qgis


Actual results:
Broken icon in application view


Expected results:
The "Q" icon should appear for QGIS related applications


Additional info:
Changing "Icon=qgis" to "Icon=qgis-icon" in the .desktop files fixes the issue.

Comment 1 Volker Fröhlich 2014-11-22 11:52:32 UTC
Right, thank you for noticing. I will also address the issue that qbrowser and qgis have the same description.

Comment 2 Miro Hrončok 2015-03-12 14:07:05 UTC
Any update with this? Just wanted to report it as well.

Comment 3 Fedora End Of Life 2015-11-04 13:13:04 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 05:09:54 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Jan Kurik 2016-02-24 15:35:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 Fedora Update System 2016-03-10 21:26:51 UTC
qgis-2.14.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e3c8b52aa

Comment 7 Fedora Update System 2016-03-11 19:27:11 UTC
qgis-2.14.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e3c8b52aa

Comment 8 Fedora Update System 2016-03-26 18:13:01 UTC
qgis-2.14.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.